SD_JOURNAL_GET_USAGE(3)

NAME
sd_journal_get_usage - Journal disk usage

SYNOPSIS

#include <systemd/sd-journal.h>

int sd_journal_get_usage(sd_journal *j, uint64_t *bytes);

DESCRIPTION

sd_journal_get_usage() determines the total disk space currently used by journal files (in bytes). If SD_JOURNAL_LOCAL_ONLY was passed when opening the journal, this value will only reflect the size of journal files of the local host, otherwise of all hosts.

RETURN VALUE

sd_journal_get_usage() returns 0 on success or a negative errno-style error code.

NOTES

All functions listed here are thread-agnostic and only a single thread may operate on a given sd_journal object.

The sd_journal_get_usage() interface is available as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

SEE ALSO

systemd(1), sd-journal(3), sd_journal_open(3),